package com.gic.message.service.impl;

import com.alibaba.fastjson.JSON;
import com.gic.binlog.base.entity.GicRecord;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.kafka.listener.MessageListener;

public class KafkaMessageServiceImpl implements MessageListener<String, GicRecord> {
    private static final Logger log = LogManager.getLogger(KafkaMessageServiceImpl.class);

    @Override
    public void onMessage(ConsumerRecord<String, GicRecord> consumerRecord) {
        log.info("接收kafka消息，内容为111："+consumerRecord.value());
    }

    public static void main(String[] args){
        System.out.println("110101".substring(0, "110101".length()-2));
    }
}
